/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemstock.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workitemstock.entity.WorkItemStock;

import java.util.List;

/**
 * 采购验收物品DAO接口
 * @author lw
 * @version 2018-07-18
 */
@MyBatisDao
public interface WorkItemStockDao extends CrudDao<WorkItemStock> {

	public int updateNumber(WorkItemStock workItemStock);

	public List<WorkItemStock> findListByContract(WorkItemStock workItemStock);

	void deleteByStock(String stockId);

	public List<WorkItemStock> findLists(WorkItemStock workItemStock);
}